# Uses of Class
java.time.zone.ZoneOffsetTransition

Packages that use ZoneOffsetTransition
Package
Description
java.time.zone
Support for time-zones and their rules.

## Uses of ZoneOffsetTransition in java.time.zone

Methods in java.time.zone that return ZoneOffsetTransition
Modifier and Type
Method
Description
`ZoneOffsetTransition`
ZoneOffsetTransitionRule.`createTransition(int year)`
Creates a transition instance for the specified year.
`ZoneOffsetTransition`
ZoneRules.`getTransition(LocalDateTime localDateTime)`
Gets the offset transition applicable at the specified local date-time in these rules.
`ZoneOffsetTransition`
ZoneRules.`nextTransition(Instant instant)`
Gets the next transition after the specified instant.
`static ZoneOffsetTransition`
ZoneOffsetTransition.`of(LocalDateTime transition, ZoneOffset offsetBefore, ZoneOffset offsetAfter)`
Obtains an instance defining a transition between two offsets.
`ZoneOffsetTransition`
ZoneRules.`previousTransition(Instant instant)`
Gets the previous transition before the specified instant.
Methods in java.time.zone that return types with arguments of type ZoneOffsetTransition
Modifier and Type
Method
Description
`List<ZoneOffsetTransition>`
ZoneRules.`getTransitions()`
Gets the complete list of fully defined transitions.
Methods in java.time.zone with parameters of type ZoneOffsetTransition
Modifier and Type
Method
Description
`int`
ZoneOffsetTransition.`compareTo(ZoneOffsetTransition transition)`
Compares this transition to another based on the transition instant.
Method parameters in java.time.zone with type arguments of type ZoneOffsetTransition
Modifier and Type
Method
Description
`static ZoneRules`
ZoneRules.`of(ZoneOffset baseStandardOffset, ZoneOffset baseWallOffset, List<ZoneOffsetTransition> standardOffsetTransitionList, List<ZoneOffsetTransition> transitionList, List<ZoneOffsetTransitionRule> lastRules)`
Obtains an instance of a ZoneRules.